<div class="content">
  <h4>Products</h4>

  <!-- <p>{{products[0] | json}}</p> -->

  <div fxLayout="row wrap" fxLayoutGap="16px grid">
    <div fxFlex="25%" fxFlex.sm="33%" fxFlex.xs="100%" *ngFor="let product of products">
      <mat-card class="mat-elevation-z4">
        <img mat-card-image [src]="product.image || 'https://picsum.photos/200'" [alt]="product.name"
          [routerLink]="['/products/'+ product.id]" />
        <mat-card-content [routerLink]="['/products/'+ product.id]">
          <mat-card-title>{{product.name | titlecase}}</mat-card-title>
          <mat-chip-list aria-label="Product categories" [selectable]="false">
            <mat-chip color="accent" selected>{{product.category.name | lowercase}}</mat-chip>
          </mat-chip-list>
          <span>{{calculateNetPrice(product.price, product.discountPrice) | currency:'KES ':'symbol':'3.0-1'}}</span>
        </mat-card-content>
        <mat-card-actions>
          <button mat-flat-button color="primary" (click)="addToCart(product.id)">
            Add To Cart
          </button>
        </mat-card-actions>
      </mat-card>
    </div>
  </div>
</div>